Subject: bug#10334: 24.0.92; Doc fix

From: Dani Moncayo <[email-masked]>
Date: Fri, 27 Jan 2012 10:40:45 +0100

> Thanks, I've committed the various fixed you pointed out in this thread
> to the trunk.

Thanks Chong.  But I wonder why you didn't mention anything about the
major-mode re-setting that may take place after you save the new
buffer to a file.  Eli's version explained this point:

> One reason to create a new buffer is to use it for making temporary
> notes.  If you try to save it, Emacs asks for the file name to use.
> The default value of the variable @code{major-mode} determines the
> new buffer's major mode; the default value is Fundamental mode
> (@pxref{Major Modes}).  However, the file name you give when saving
> the buffer may cause Emacs to change the buffer's major mode as
> appropriate for that file name.

-- 
Dani Moncayo